package edu.kit.ipd.descartes.adaptation.evaluation.weightingfunction;

import edu.kit.ipd.descartes.mm.adaptation.Tactic;
import edu.kit.ipd.descartes.mm.adaptation.WeightedTactic;

public interface IWeightingFunction {
	
	/**
	 * Calculates the new weight of the given {@link Tactic}.
	 * 
	 * @param impact
	 * @return
	 */
	double calculateWeight(WeightedTactic weightedTactic);
}
